<?php
namespace Pinpoint\Feefo\Api;

use Pinpoint\Feefo\Api\Data\FeefoReviewInterface;
use Magento\Framework\Api\SortOrder;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 * Interface FeefoReviewRepositoryInterface
 * @package Pinpoint\Feefo\Api
 */
interface FeefoReviewRepositoryInterface
{
    /**
     * @param FeefoReviewInterface $page
     * @return mixed
     */
    public function save(FeefoReviewInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function getById($id);

    /**
     * @param SearchCriteriaInterface $criteria
     * @return mixed
     */
    public function getList(SearchCriteriaInterface $criteria);

    /**
     * @param FeefoReviewInterface $page
     * @return mixed
     */
    public function delete(FeefoReviewInterface $page);

    /**
     * @param $id
     * @return mixed
     */
    public function deleteById($id);
}
